<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://unpkg.com/purecss@2.1.0/build/pure-min.css" integrity="sha384-yHIFVG6ClnONEA5yB5DJXfW2/KC173DIQrYoZMEtBvGzmf0PKiGyNEqe9N6BNDBH" crossorigin="anonymous">
    <link rel="stylesheet" href="./../static/main.css">
    <title>Moderate Users</title>
</head>
<body>
    <nav>
        <%- include("./partials/navbar", {isLoggedIn: true, isAdmin: true}); %>
    </nav>
    <main>
        <h1>Moderate Users:</h1>
        <form id="searchForm" enctype="application/x-www-form-urlencoded">
            <input type="text" name="name" placeholder="search for User">
            <button type="submit">Search</button>
        <table class="pure-table">
            <thead>
                <tr>
                    <th>Username</th>
                    <th>Account created at</th>
                    <th>Role</th>
                    <th>Delete User</th>
                    <th>Change Role</th>
                </tr>
            </thead>
            <tbody>
                <% for (let user of users) {%>
                    <tr>
                        <td><%= user.username %></td>
                        <td><%= user.createdAt.toLocaleDateString() %></td>
                        <td><%= user.isAdmin ? "Admin" : "User" %></td>
                        <td>
                            <form action="/admin/deleteUser" method="POST" enctype="application/x-www-form-urlencoded">
                                <input type="hidden" name="id" value="<%= user.id %>">
                                <button type="submit">Delete</button>
                            </form>
                        </td>
                        <td>
                            <form action="/admin/modifyRole" method="POST" enctype="application/x-www-form-urlencoded">
                                <input type="hidden" name="id" value="<%= user.id %>">
                                <button type="submit"><%= user.isAdmin ? "revoke Adminrights" : "give Adminrights" %></button>
                            </form>
                        </td>
                    </tr>
                <%}%>
            </tbody>
        </table>
        </div>
    </main>
    <footer>
        <%- include("./partials/footer"); %>
    </footer>
    <script src="../static/usersOverview.js"></script>
</body>
</html>